Name:           kubeadm-upgrade
Version:        0.0.1
Release:        1.0.28%{?dist}
Summary:        Kubeadm upgrade
License:        UPL
Group:          System/Management
Source:         %{name}-%{version}.tar.bz2
Vendor:         Oracle America

Requires:       bash

BuildArch:      x86_64

%description
Upgrade kubernetes cluster to 1.12.x from 1.9.x

%prep
%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d %{buildroot}%{_bindir}
install -p -m 755 -t %{buildroot}%{_bindir} kubeadm-upgrade.sh

%files
%license LICENSE
%doc *.md
%{_bindir}/kubeadm-upgrade.sh

%changelog
* Thu Apr 09 2020 Thomas Tanaka <thomas.tanaka@oracle.com> 0.0.1-1.0.28
-- [CVE-2019-11254] kube-apiserver Denial of Service vulnerability from malicious YAML payloads

* Mon Nov 04 2019 Thomas Tanaka <thomas.tanaka@oracle.com> 0.0.1-1.0.27
-- [CVE-2019-16276] Kubernetes Vulnerabilities Allow Authentication Bypass, DoS 

* Thu May 30 2019 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.26
-- Create log folder before any log write or error exit [ orabug: 29806186 ]

* Thu May 09 2019 Thomas Tanaka <thomas.tanaka@oracle.com> 0.0.1-1.0.25
-- Enforce exit on errors

* Tue May 06 2019 Tom Cocozzello <tom.cocozzello@oracle.com> 0.0.1-1.0.24
-- Dashboard yaml location was moved in Kubernetes 1.12.7

* Tue Apr 30 2019 Tom Cocozzello <tom.cocozzello@oracle.com> 0.0.1-1.0.23
-- Detect latest kubernetes version from yum

* Fri Apr 05 2019 Thomas Tanaka <thomas.tanaka@oracle.com> 0.0.1-1.0.22
-- Bump up 1.12.7 version for coredns fix

* Thu Apr 04 2019 Thomas Tanaka <thomas.tanaka@oracle.com> 0.0.1-1.0.21
-- CVE-2019-9946

* Tue Apr 02 2019 Thomas Tanaka <thomas.tanaka@oracle.com> 0.0.1-1.0.20
-- CVE-2019-1002101

* Wed Mar 27 2019 Thomas Tanaka <thomas.tanaka@oracle.com> 0.0.1-1.0.19
-- Bump up 1.12.6 version

* Tue Mar 26 2019 Thomas Tanaka <thomas.tanaka@oracle.com> 0.0.1-1.0.18
-- Upgrade from 1.9 to 1.12 fails

* Thu Mar 21 2019 Tom Cocozzello <tom.cocozzello@oracle.com> 0.0.1-1.0.17
-- Update the Kubernetes version to include the conntrack fix

* Thu Mar 07 2019 Thomas Tanaka <thomas.tanaka@oracle.com> 0.0.1-1.0.16
-- CVE-2019-1002100

* Fri Feb 08 2019 Thomas Tanaka <thomas.tanaka@oracle.com> 0.0.1-1.0.15
-- CVE-2018-1002105

* Thu Feb 07 2019 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.14
-- Fix kube version for 1.10.5

* Wed Feb 06 2019 Thomas Tanaka <thomas.tanaka@oracle.com> 0.0.1-1.0.13
-- Updating 1.10 and 1.11 version for CVE fixes
-- Include flannel and dashboard upgrade

* Mon Feb 04 2019 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.12
-- Upgrade to 1.12.5-2.1.1

* Fri Feb 01 2019 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.11
-- Upgrade to 1.12.5

* Wed Jan 30 2019 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.10
-- Add license info to the script

* Tue Jan 15 2019 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.9
-- Add license file

* Wed Jan 09 2019 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.8
-- Fix the bug on number of CPU checking

* Tue Jan 08 2019 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.7
-- Use install instead of update for a specifc 1.12 version

* Tue Jan 08 2019 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.6
-- Upgrade cluster to 1.12.3-* version only

* Wed Dec 19 2018 Tom Cocozzello <tom.cocozzello@oracle.com> 0.0.1-1.0.5
-- Add exit handler to gather logs on failure

* Wed Dec 19 2018 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.4
-- Enhance logging and check return code after kubeadm apply. Checking CPU and Memory of the system

* Mon Dec 17 2018 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.3
-- Change REPO_PREFIX to use a single repo, increased timeout during cluster health check

* Thu Dec 13 2018 Muminul Islam <muminul.islam@oracle.com> 0.0.1-1.0.2
-- Added comments and fix rpm name

* Fri Dec 07 2018 Ivin Sony <ivin.sony@oracle.com> - 0.0.1-1.0.1
- Upgrade to 1.12.3
